Runtime

## org.eclipse.gmf.runtime.emf.type.core.requests
Class GetEditContextRequest

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
          org.eclipse.gmf.runtime.emf.type.core.requests.GetEditContextRequest

All Implemented Interfaces:
  IEditCommandRequest

public class GetEditContextRequest
extends AbstractEditCommandRequest

Request to get the context for editing a model element.

The context is used to obtain the `IEditHelper` with which to perform the editing.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest
`REPLACE_DEFAULT_COMMAND`

Constructor Summary
`GetEditContextRequest(IEditCommandRequest editRequest, java.lang.Object editHelperContext)` Constructs a new request.
`GetEditContextRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, IEditCommandRequest editRequest, java.lang.Object editHelperContext)` Constructs a new request.

Method Summary
`IEditCommandRequest` `getEditCommandRequest()` Gets the edit command request for which the edit context is being sought.
`java.lang.Object` `getEditContext()` Gets the requested edit context.
`java.lang.Object` `getEditHelperContext()` Gets the edit helper context for this request.
`void` `setEditContext(java.lang.Object editContext)` Sets the requested edit context.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
`addParameters, getClientContext, getDefaultLabel, getEditingDomain, getElementsToEdit, getLabel, getParameter, getParameters, setClientContext, setEditingDomain, setLabel, setParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetEditContextRequest

    public GetEditContextRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                 IEditCommandRequest editRequest,
                                 java.lang.Object editHelperContext)

  Constructs a new request.

Parameters:
  `editingDomain` - the editing domain in which I am requesting to make model
  `editRequest` - the edit request whose context is being requested

### GetEditContextRequest

    public GetEditContextRequest(IEditCommandRequest editRequest,
                                 java.lang.Object editHelperContext)

  Constructs a new request. The editing domain is derived from the `editRequest`.

Parameters:
  `editRequest` - the edit request whose context is being requested

Method Detail

### getEditHelperContext

    public java.lang.Object getEditHelperContext()

  Gets the edit helper context for this request.

  Returns:
    the edit helper context for this request

### getEditCommandRequest

    public IEditCommandRequest getEditCommandRequest()

  Gets the edit command request for which the edit context is being sought.

  Returns:
    the edit command request

### getEditContext

    public java.lang.Object getEditContext()

  Gets the requested edit context.

  Returns:
    the edit context

### setEditContext

    public void setEditContext(java.lang.Object editContext)

  Sets the requested edit context. Clients asked to get a command for this request should also set the edit context if the command they will return will create or return a different context.

  Parameters:
    `editContext` - the new edit context

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.